

body {
    font-size: 12pt;
    margin: 4% 4% 4% 4%;
    font-family: "Jost";
    font-weight: 400;
}

.split{
    display:block;
    max-width: 1280px;
    justify-content:space-between;
}

h1{
    background-color: black;
    color: white;
    padding: 12px;
    margin: 0;
    text-align: center;
}

h2 {
    margin-bottom: 12px;
    padding: 12px;
    margin: 0;
    background-color: #2c2c2c;
    color: white;
    text-align: left;
}

h3{
    background-color: #cccccc;
    padding: 12px;
    margin: 0;
}

h4{
    margin: 0;
    margin-top: 24px;
}

div.mainbar{
    min-width:49.8207%;
    margin: 0;
    flex: auto;
}

div.sidebar{
    background-color: #dcdcdc;
    align-self: flex-start;
    padding:12px;
    border: #2c2c2c solid 2px;
    margin: 24px 0 24px 0;
}

div.empty-sidebar{
  align-self: flex-start;
}
 
span#name::before{
  content:"Emberlynn Bland";
}

/* When the screen is wide enough for desktop */
@media screen and (min-width: 880px){
  body{
    margin: 8.4% 16.6% 8.4% 16.6%;
  }


  span#name::before{
    content:"Emberlynn Bland | Graphic Designer";
  }

  div.split{
   display:flex;
  }

  div.mainbar{
    max-width:61.5%;
  }
  
  div.sidebar{
    margin: 0;
    margin-left: 24px;
    min-width: 32.445%;
    max-width: 32.445%;
  }
}

a.titlelink{
  color:white;
  text-decoration: none;
}

/* Responsive Image Gallery: https://www.w3schools.com/howto/howto_css_image_grid_responsive.asp */
.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
  flex: 100%;
  max-width: 40%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}

/* Responsive layout - makes a two column-layout instead of four columns */
@media screen and (max-width: 800px) {
  .column {
    flex: 40%;
    max-width: 30%;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
}

/* Font Definitions courtesy of https://google-webfonts-helper.herokuapp.com/fonts/jost?subsets=latin */
/* jost-regular - latin */
@font-face {
  font-family: 'Jost';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/jost-v14-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('fonts/jost-v14-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/jost-v14-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/jost-v14-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('fonts/jost-v14-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/jost-v14-latin-regular.svg#Jost') format('svg'); /* Legacy iOS */
}

/* jost-700 - latin */
@font-face {
  font-family: 'Jost';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/jost-v14-latin-700.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('fonts/jost-v14-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/jost-v14-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/jost-v14-latin-700.woff') format('woff'), /* Modern Browsers */
       url('fonts/jost-v14-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/jost-v14-latin-700.svg#Jost') format('svg'); /* Legacy iOS */
}

/* jost-italic - latin */
@font-face {
  font-family: 'Jost';
  font-style: italic;
  font-weight: 400;
  src: url('fonts/jost-v14-latin-italic.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('fonts/jost-v14-latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/jost-v14-latin-italic.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/jost-v14-latin-italic.woff') format('woff'), /* Modern Browsers */
       url('fonts/jost-v14-latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/jost-v14-latin-italic.svg#Jost') format('svg'); /* Legacy iOS */
}
